store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Tue Sep 02, 2014 12:38 pm

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 14 posts ] 
Author Message
 Post subject: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Wed Mar 11, 2009 3:08 pm 
Offline
Forum User
Forum User

Joined: Thu Feb 12, 2009 8:53 pm
Posts: 84
Location: Mexico
I am getting this:

Failed loading /usr/lib64/php/modules/php_ioncube_loader_lin_5.1_x86_64.so: /usr/lib64/php/modules/php_ioncube_loader_lin_5.1_x86_64.so: undefined symbol: zend_unmangle_property_name_ex

This is what I have installed

php5-ioncube-loader-3.1-07051711
php5-ioncube-php52-4.5.0-rhas5x86_64.08052912

Any ideas?

Thanks,

_________________
CentOS release 6.5 (Final)
Plesk psa-11.5.30-cos6.build115130819.13
ASL 3.2.18-37
Linux 2.6.32-358.11.1.el6.x86_64


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Wed Mar 11, 2009 4:30 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7892
Location: earth
what version of PHP are you running


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Wed Mar 11, 2009 9:58 pm 
Offline
Forum User
Forum User

Joined: Thu Feb 12, 2009 8:53 pm
Posts: 84
Location: Mexico
[root@uro ~/tmp]# rpm -qi php
Name : php Relocations: (not relocatable)
Version : 5.2.9 Vendor: (none)
Release : 1.el5.art Build Date: Fri 27 Feb 2009 08:43:47 AM CST
Install Date: Sat 28 Feb 2009 10:41:50 PM CST Build Host: archelon.atomicorp.com
Group : Development/Languages Source RPM: php-5.2.9-1.el5.art.src.rpm
Size : 3471851 License: PHP
Signature : DSA/SHA1, Fri 27 Feb 2009 10:05:02 AM CST, Key ID 32a951145ebd2744
URL : http://www.php.net/
Summary : The PHP HTML-embedded scripting language. (PHP: Hypertext Preprocessor)
Description :
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts.

The php package contains the module which adds support for the PHP
language to Apache HTTP Server.

_________________
CentOS release 6.5 (Final)
Plesk psa-11.5.30-cos6.build115130819.13
ASL 3.2.18-37
Linux 2.6.32-358.11.1.el6.x86_64


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Wed Mar 11, 2009 10:24 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7892
Location: earth
that'll do it. You're using the 5.1 version of ioncube with PHP 5.2. You need to upgrade it


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Thu Mar 12, 2009 9:58 am 
Offline
Forum User
Forum User

Joined: Thu Feb 12, 2009 8:53 pm
Posts: 84
Location: Mexico
Thanks that was it.

Just for the sake of completness, I was a bit surprised that I had two ioncube related packages:
php5-ioncube-php52-4.5.0-rhas5x86_64.08052912
php5-ioncube-loader-3.1-07051711

So doing a bit more of research I found that one is for the "general public" php and the other is for the Plesk stuff.

For Plesk
[root@uro ~]# rpm -qil php5-ioncube-php52-4.5.0-rhas5x86_64.08052912
Name : php5-ioncube-php52 Relocations: (not relocatable)
Version : 4.5.0 Vendor: (none)
Release : rhas5x86_64.08052912 Build Date: Thu 29 May 2008 12:50:09 AM CDT
Install Date: Sat 07 Feb 2009 12:21:25 PM CST Build Host: rhel5-build-64.sbvz2.plesk.ru
Group : Development/Languages Source RPM: php5-ioncube-4.5.0-rhas5x86_64.08052912.src.rpm
Size : 871179 License: ioncube
Signature : (none)
Packager : SWSoft <info@swsoft.com>
Summary : ioncube loader for php 5.2
Description :
ionCube loader for php 5.2
/opt/php52/etc/php.d/ioncube_loader.ini
/opt/php52/lib/php/modules/ioncube_loader_lin_5.2_x86_64.so

For the "general public"
[root@uro ~]# rpm -qil php5-ioncube-loader-3.1-07051711
Name : php5-ioncube-loader Relocations: (not relocatable)
Version : 3.1 Vendor: (none)
Release : 07051711 Build Date: Wed 16 May 2007 11:58:05 PM CDT
Install Date: Sat 07 Feb 2009 12:10:58 PM CST Build Host: rhel5-build-64.sbvz2.plesk.ru
Group : Development/Languages Source RPM: php5-ioncube-loader-3.1-07051711.src.rpm
Size : 2042560 License: ionCube
Signature : (none)
Packager : SWSoft <info@swsoft.com>
Summary : PHP ionCube Loader
Description :
This package provides PHP ionCube Loader for native PHP 5.[012]
/usr/lib64/php/modules
/usr/lib64/php/modules/php_ioncube_loader_lin_5.0_x86_64.so
/usr/lib64/php/modules/php_ioncube_loader_lin_5.1_x86_64.so
/usr/lib64/php/modules/php_ioncube_loader_lin_5.2_x86_64.so

And the thing was that even if the correct version was installed /usr/lib64/php/modules/php_ioncube_loader_lin_5.2_x86_64.so it was not the one that been used in the configuration file:

/etc/php.d/ioncube-loader.ini

So, correcting the reference there did the trick.

BTW a funny thing is that /etc/php.d/ioncube-loader.ini is not own by any package.

[root@uro ~]# rpm -qf /etc/php.d/ioncube-loader.ini
file /etc/php.d/ioncube-loader.ini is not owned by any package

_________________
CentOS release 6.5 (Final)
Plesk psa-11.5.30-cos6.build115130819.13
ASL 3.2.18-37
Linux 2.6.32-358.11.1.el6.x86_64


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Thu Mar 12, 2009 10:16 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7892
Location: earth
Yeah its generated by the RPM (both mine and theirs)


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Mon Feb 22, 2010 7:18 pm 
Offline
Forum Regular
Forum Regular

Joined: Mon Mar 19, 2007 3:47 pm
Posts: 268
I have run into this as well using Plesk 9.3 64-bit. How can I correct the error? I also have a conflict with php5-ioncube-loader-3.1-07051711


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Mon Feb 22, 2010 7:22 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7892
Location: earth
I use the rpms from the atomic repo, that solves it for me.


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Mon Feb 22, 2010 7:40 pm 
Offline
Forum Regular
Forum Regular

Joined: Mon Mar 19, 2007 3:47 pm
Posts: 268
That's how I installed Zend :) That's what triggered the error.

Code:
wget -q -O - http://www.atomicorp.com/installers/atomic |sh && yum install php-zend-optimizer


Now on another server I am getting:

Code:
--> Processing Dependency: php <= 5.2.0 for package: php-sqlite2
--> Running transaction check
---> Package libXmu.x86_64 0:1.0.2-5 set to be updated
--> Processing Dependency: php <= 5.2.0 for package: php-sqlite2
--> Finished Dependency Resolution
php-sqlite2-5.1.6-200705230937.x86_64 from installed has depsolving problems
  --> Missing Dependency: php <= 5.2.0 is needed by package php-sqlite2-5.1.6-200705230937.x86_64 (installed)
Error: Missing Dependency: php <= 5.2.0 is needed by package php-sqlite2-5.1.6-200705230937.x86_64 (installed)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest


and I don't know what action to take. These were all fresh installs of Plesk 9.3 on Virtuozzo. I think I am digging a deeper hole than I had planned :( It sucks being a rookie.


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Mon Feb 22, 2010 7:42 pm 
Offline
Forum Regular
Forum Regular

Joined: Mon Mar 19, 2007 3:47 pm
Posts: 268
More errors:

Code:
--> Running transaction check
--> Processing Dependency: php-cli = 5.1.6-23.2.el5_3 for package: php
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php
---> Package php.x86_64 0:5.2.12-3.el5.art set to be updated
--> Finished Dependency Resolution
php-5.1.6-23.2.el5_3.x86_64 from installed has depsolving problems
  --> Missing Dependency: php-common = 5.1.6-23.2.el5_3 is needed by package php-5.1.6-23.2.el5_3.x86_64 (installed)
php-5.1.6-23.2.el5_3.x86_64 from installed has depsolving problems
  --> Missing Dependency: php-cli = 5.1.6-23.2.el5_3 is needed by package php-5.1.6-23.2.el5_3.x86_64 (installed)
--> Running transaction check
--> Processing Dependency: php-cli = 5.1.6-23.2.el5_3 for package: php
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php
--> Finished Dependency Resolution
php-5.1.6-23.2.el5_3.x86_64 from installed has depsolving problems
  --> Missing Dependency: php-common = 5.1.6-23.2.el5_3 is needed by package php-5.1.6-23.2.el5_3.x86_64 (installed)
php-5.1.6-23.2.el5_3.x86_64 from installed has depsolving problems
  --> Missing Dependency: php-cli = 5.1.6-23.2.el5_3 is needed by package php-5.1.6-23.2.el5_3.x86_64 (installed)
--> Running transaction check
---> Package libXaw.x86_64 0:1.0.2-8.1 set to be updated
---> Package libXmu.x86_64 0:1.0.2-5 set to be updated
---> Package libXt.x86_64 0:1.0.2-3.1.fc6 set to be updated
--> Processing Dependency: php-cli = 5.1.6-23.2.el5_3 for package: php
---> Package php-cli.x86_64 0:5.2.12-3.el5.art set to be updated
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php
---> Package php-common.x86_64 0:5.2.12-3.el5.art set to be updated
---> Package php-gd.x86_64 0:5.2.12-3.el5.art set to be updated
---> Package php-imap.x86_64 0:5.2.12-3.el5.art set to be updated
---> Package php-mbstring.x86_64 0:5.2.12-3.el5.art set to be updated
---> Package php-mysql.x86_64 0:5.2.12-3.el5.art set to be updated
---> Package php-pdo.x86_64 0:5.2.12-3.el5.art set to be updated
---> Package php-xml.x86_64 0:5.2.12-3.el5.art set to be updated
---> Package t1lib.x86_64 0:5.1.2-2.el5.art set to be updated
--> Finished Dependency Resolution
php-5.1.6-23.2.el5_3.x86_64 from installed has depsolving problems
  --> Missing Dependency: php-common = 5.1.6-23.2.el5_3 is needed by package php-5.1.6-23.2.el5_3.x86_64 (installed)
php-5.1.6-23.2.el5_3.x86_64 from installed has depsolving problems
  --> Missing Dependency: php-cli = 5.1.6-23.2.el5_3 is needed by package php-5.1.6-23.2.el5_3.x86_64 (installed)
--> Running transaction check
---> Package libXaw.x86_64 0:1.0.2-8.1 set to be updated
---> Package libXmu.x86_64 0:1.0.2-5 set to be updated
---> Package libXt.x86_64 0:1.0.2-3.1.fc6 set to be updated
---> Package php-gd.x86_64 0:5.2.12-3.el5.art set to be updated
--> Processing Dependency: php-common = 5.2.12-3.el5.art for package: php-gd
---> Package php-imap.x86_64 0:5.2.12-3.el5.art set to be updated
--> Processing Dependency: php-common = 5.2.12-3.el5.art for package: php-imap
---> Package php-mbstring.x86_64 0:5.2.12-3.el5.art set to be updated
--> Processing Dependency: php-common = 5.2.12-3.el5.art for package: php-mbstring
---> Package php-mysql.x86_64 0:5.2.12-3.el5.art set to be updated
--> Processing Dependency: php-common = 5.2.12-3.el5.art for package: php-mysql
---> Package php-pdo.x86_64 0:5.2.12-3.el5.art set to be updated
--> Processing Dependency: php-common = 5.2.12-3.el5.art for package: php-pdo
---> Package php-xml.x86_64 0:5.2.12-3.el5.art set to be updated
--> Processing Dependency: php-common = 5.2.12-3.el5.art for package: php-xml
---> Package t1lib.x86_64 0:5.1.2-2.el5.art set to be updated
--> Finished Dependency Resolution
php-imap-5.2.12-3.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php-common = 5.2.12-3.el5.art is needed by package php-imap-5.2.12-3.el5.art.x86_64 (atomic)
php-mbstring-5.2.12-3.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php-common = 5.2.12-3.el5.art is needed by package php-mbstring-5.2.12-3.el5.art.x86_64 (atomic)
php-mysql-5.2.12-3.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php-common = 5.2.12-3.el5.art is needed by package php-mysql-5.2.12-3.el5.art.x86_64 (atomic)
php-gd-5.2.12-3.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php-common = 5.2.12-3.el5.art is needed by package php-gd-5.2.12-3.el5.art.x86_64 (atomic)
php-pdo-5.2.12-3.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php-common = 5.2.12-3.el5.art is needed by package php-pdo-5.2.12-3.el5.art.x86_64 (atomic)
php-xml-5.2.12-3.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php-common = 5.2.12-3.el5.art is needed by package php-xml-5.2.12-3.el5.art.x86_64 (atomic)

Packages skipped because of dependency problems:
    libXaw-1.0.2-8.1.x86_64 from base
    libXmu-1.0.2-5.x86_64 from base
    libXt-1.0.2-3.1.fc6.x86_64 from base
    php-5.2.12-3.el5.art.x86_64 from atomic
    php-cli-5.2.12-3.el5.art.x86_64 from atomic
    php-common-5.2.12-3.el5.art.x86_64 from atomic
    php-gd-5.2.12-3.el5.art.x86_64 from atomic
    php-imap-5.2.12-3.el5.art.x86_64 from atomic
    php-mbstring-5.2.12-3.el5.art.x86_64 from atomic
    php-mysql-5.2.12-3.el5.art.x86_64 from atomic
    php-pdo-5.2.12-3.el5.art.x86_64 from atomic
    php-xml-5.2.12-3.el5.art.x86_64 from atomic
    t1lib-5.1.2-2.el5.art.x86_64 from atomic


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Thu Aug 19, 2010 9:02 am 
Offline
Forum Regular
Forum Regular
User avatar

Joined: Wed Jan 13, 2010 9:11 am
Posts: 180
Location: Bali
Quote:
that'll do it. You're using the 5.1 version of ioncube with PHP 5.2. You need to upgrade it


same problem but (sniff) how do I "update it?"

Installed:
php-ioncube-loader.x86_64 1:3.3.20-2.el5.art
(from atomic repo)

how do I "update it?"

_________________
They say that good intentions, pave the road to hell;
If a thing is not worth doing, it's not worth doing well.


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Thu Aug 19, 2010 9:29 am 
Offline
Forum Regular
Forum Regular
User avatar

Joined: Wed Jan 13, 2010 9:11 am
Posts: 180
Location: Bali
edit /etc/php.d/ioncube-loader.ini
zend_extension=/usr/lib64/php/modules//php_ioncube_loader_lin_5.2_x86_64.so
- seems to have done it.

_________________
They say that good intentions, pave the road to hell;
If a thing is not worth doing, it's not worth doing well.


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Tue Oct 25, 2011 7:07 am 
Offline
New Forum User
New Forum User

Joined: Wed Oct 12, 2011 4:06 pm
Posts: 3
Location: Netherlands
I currently have PHP 5.3.8 installed from the Atomic repo.

However, there seems to be no update for php-ioncube (or am I missing something??).

So I manually downloaded and installed the ioncube_loader_lin_5.3.so
And linked it in php.ini

Then I commented the line in /etc/php.d/ioncube-loader.ini that points to the non-existing .so

After restarting apache now the ioncube stuff is working again and no more errors.

Possibly simper I could just copy ioncube_loader_lin_5.3.so to /usr/lib64/php/modules and correct the line in /etc/php.d/ioncube-loader.ini


Top
 Profile  
 
 Post subject: Re: ioncube undefined symbol: zend_unmangle_property_name_ex
Unread postPosted: Tue Oct 25, 2011 7:03 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7892
Location: earth
See if 4.0.10 fixes that, it just got pushed to the mirrors


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 14 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group